:root {
    --header-height: 12rem;
    
    --border-radius-full: 2rem;
    --border-radius-alt: 0.5rem;
    
	--textcolor-common: #000000;
	
    --bgcolor-common: #EEEEEE;
    --bgcolor-alt-1: #DEDEDE;
    --bgcolor-alt-2: #CCCCCC;
    --bgcolor-input: #ABABAB;
	
    --drop-shadow: 0.05rem 0.05rem 0.2rem 0 rgba(0, 0, 0, 0.5);
    --glow-shadow: 0 0 0.3rem 0.1rem #990000;
}

html {
    font-size: 16px;
    font-family: Verdana;
	color: var(--textcolor-common);
}

*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

input, textarea, select {
	padding: 0.2rem 0.5rem;
	font-size: 1rem;
	border: 0;
	border-radius: var(--border-radius-full);
	background-color: var(--bgcolor-input);
}

input[type="text"]:focus,
input[type="password"]:focus {
    box-shadow: var(--glow-shadow);
}

body {
    min-height: 100vh;
    display: grid;
    grid-template-columns: minmax(min-content, 15vw) minmax(0, 85vw);
    justify-content: flex-start;
}

header {
    grid-column: 1 / span 2;
    height: var(--header-height);
    background-image: url("https://images.unsplash.com/photo-1566773573162-ffa670012495?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1548&q=80");
    background-size: cover;
	background-position: center;
    border-bottom: 1px solid var(--bgcolor-alt-2);
	display: flex;
	align-items: flex-end;
}

nav#nav-main {
    min-height: calc(100vh - var(--header-height));
    padding: 0.5rem;
}

nav#nav-main ul {
    list-style-type: none;
}

nav#nav-main li {
    margin-bottom: 0.5rem;
}

nav#nav-main li:last-child {
    margin-bottom: 0;
}

nav#nav-main a,
nav#nav-main a:active,
nav#nav-main a:visited {
    display: block;
    font-weight: bold;
    font-size: 1.3rem;
    color: #990000;
    padding: 0.2rem 1.5rem;
    border-radius: var(--border-radius-full);
}

nav#nav-main a:hover {
    color: #EE0000;
    background-color: var(--bgcolor-common);
}

main {
    min-height: calc(100vh - var(--header-height));
    padding: 0.5rem;
}

img.text {
    max-width: 15rem;
    max-height: 10rem;
    margin: 0.5rem;
}

img.text._left {
    float: left;
}

img.text._right {
    float: right;
}

h1 {
    font-size: 2rem;
    margin: 0.5rem;
}

h2 {
    font-size: 1.5rem;
    margin: 0.5rem;
}

h3 {
    font-size: 1.2rem;
    margin: 0.2rem;
}

div.header {
	position: absolute;
	font-size: 3rem;
	font-weight: bold;
	color: var(--bgcolor-common);
}

p {
	padding: 0.5rem;
}

summary:hover, button:hover {
    cursor: pointer;
}

details[open] summary {
	margin-bottom: 2rem;
}

table.common-list {
    border-collapse: collapse;
    min-width: 100%;
}

table.common-list th, table.common-list td {
    text-align: left;
    padding: 0.2rem 1rem;
}

table.common-list th {
    background-color: rgba(0, 0, 0, 0.3);
}

table.common-list tr:nth-child(even) {
    background-color: var(--bgcolor-common);
}

table.common-list tr:nth-child(odd) {
    background-color: rgba(0, 0, 0, 0.1);
}

table.common-list th:first-child {
    border-radius: var(--border-radius-alt) 0 0 0;
}

table.common-list th:last-child {
    border-radius: 0 var(--border-radius-alt) 0 0;
}

table.common-list tr:last-child td:first-child {
    border-radius: 0 0 0 var(--border-radius-alt);
}

table.common-list tr:last-child td:last-child{
    border-radius: 0 0 var(--border-radius-alt) 0;
}

.main-textbox, table.common-list {
    background-color: var(--bgcolor-common);
    border-radius: var(--border-radius-alt);
	box-shadow: var(--drop-shadow);
    padding: 1.5rem;
	word-break: break-word;
    overflow: hidden;
}

.hightlight {
	color: #CC0000;
}

.bold {
	font-weight: bold;
}

.smaller {
	font-size: 0.8em;
}

.centered {
    text-align: center;
}

.spacing-top {
    margin-top: 0.5rem;
}

.spacing-bottom {
    margin-bottom: 0.5rem;
}

.cols {
    display: grid;
    justify-content: flex-start;
}

.cols div {
	padding: 0.2rem;
}

.cols._2c {
    grid-template-columns: auto auto;
}

.cols._3c {
    grid-template-columns: auto auto auto;
}

.cols._2c ._merged {
    grid-column: 1 / span 2;
}

.cols._3c ._merged {
    grid-column: 1 / span 3;
}

.cols .max-content {
	max-width: max-content;
}

#nav-trigger {
	display: none;
	position: fixed;
	top: 0.2rem;
	right: 0.2rem;
	font-size: 2rem;
	color: #000000;
	background-color: #FFFFFF;
	width: 3rem;
        height: 3rem;
	border: 0;
	border-radius: var(--border-radius-full);
	box-shadow: var(--drop-shadow);
	transition: transform 0.2s ease, box-shadow 0.2s ease,
		color 0.2s ease, background-color 0.2s ease;
	z-index: 1000;
}

.user._hidden {
	display: none;
}

@media screen and (max-width: 767px) {
	:root {
		--header-height: 5rem;
	}
	
	html {
		font-size: 20px;
	}
	
    body {
        display: block;
    }
    
	#nav-trigger {
		display: block;
	}
	
	#nav-trigger.open {
		transform: rotateZ(-90deg);
		color: var(--bgcolor-common);
		background-color: var(--textcolor-common);
		box-shadow: unset;
	}
	
    nav#nav-main {
        position: fixed;
		top: 0;
		right: 0;
		min-height: unset;
		padding: 3.5rem 0 1rem 0;
 		background-color: #FFFFFF;
		box-shadow: 0 0.1rem 0.5rem 0 #000000;
		border-radius: 0 0 0 var(--border-radius-full);	   		
		overflow: hidden;
		transition: top 0.2s ease;
   }
   
	nav#nav-main._hidden {
		top: -100%;
	}

	
	nav#nav-main li {
		text-align: right;
	}
    
	nav#nav-main a,
	nav#nav-main a:active,
	nav#nav-main a:visited {
		padding: 1rem 3rem;
		border-radius: unset;
		color: #000000;
	}

	nav#nav-main a:hover {
		border-radius: unset;
		color: #990000;
	}
	
    img.text {
        max-width: 10rem;
        max-height: 15rem;
        margin: 0.3rem;
    }
	
	.cols._collapses {
		display: block;
	}
}